/* USER My DataTAGS Page */

.userTags {
    display: flex;
    flex-direction: column;
}
.userTagsHdr {
    display: flex;
    justify-content: space-between;
    font-size: 8px;
    margin: 0 0 5px;
    padding: 0 10px 0 0;
}

.usersTags .dashcontent {
    max-width: 100%;
    flex-direction: column;
}


.usersTags .donutgraph {
    width: 390px;
    height: 230px;
}
.usersTags .graphoverlay,
.usersTags .donutchart {
    width: 220px;
    height: 220px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.usersTags .donutlegend {
    left: 120px;
    width: calc(100% - 130px);
    height: 230px;
}


.usrTagHdrCell {
    height: 35px !important;
    display: flex;
    flex-direction: column;
    padding: 0 5px;
    border-right: 1px solid #737B9900;
    font-size: 10px;
    font-weight: 600 !important;
    text-align: center;
    color: var(--text-color);
    line-height: 1em;
    opacity: 0.8;
    transition: color 0.3s ease !important;
}
.usrTagHdrCell span {
    margin: 2px 0 0;
}
.usrTagHdrCell.userTagTag {
    justify-content: start !important;
    flex-direction: row;
    gap: 5px;
}
.usrTagHdrCell.userTagTag span {
    margin: 0 0 1px;
}
.usrTagHdrCell.userTagDate span {
    margin: 1px 0 0;
}
.userTag {
    display: flex;
    align-items: center;
    margin: 0 0 20px;
    border-radius: 6px;
    padding: 12px 5px;
    background-color: var(--userTagBG);
    width: calc(100% - 10px);
    position: relative;
    transition: box-shadow 0.3s, width 0.3s, margin-left 0.3s;
}
.userTag:hover {
    background-color: var(--userTagHoverBG);
    box-shadow: var(--shaduplg);
    XXwidth: 112%;
    XXmargin-left: -10%;
}
.usrTagCell {
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 5px;
    color: var(--darksamegrey);
    border-right: 1px solid #737B9977;
    font-size: 11px;
    font-weight: 400;
    line-height: 1.3em;
}
.userTag:hover .usrTagCell {
    font-size: 15px;
    font-weight: 500;
}
.sortCell:hover {
    cursor: pointer;
}
.usrTagCell.tagIndex {
    width: 45px;
    height: 50px;
    padding: 0 10px 0 0;
    font-weight: bold;
    color: var(--text-color);
    border-right: none;
    position: absolute;
    left: -55px;
    justify-content: end;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
}
.userTagTag {
    width: calc(100% - 430px);
    display: flex;
    align-items: center;
    justify-content: left;
    position: relative;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagTag {
    width: calc(100% - 485px);
}
.userTagTag .namebox {
    font-size: 14px;
    padding: 2px 8px;
    border-radius: 5px;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagTag .namebox {
    font-size: 18px;
    padding: 3px 10px;
}
.userTagRatings {
    width: 40px;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagRatings {
    width: 45px;
}
.userTagRecent {
    width: 40px;
}
.usrTagCell.userTagRecent {
    font-weight: 700;
    letter-spacing: 2px;
    font-size: 14px;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagRecent {
    width: 45px;
    font-size: 16px;
    font-weight: 800;
}
.userTagValue {
    width: 45px;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagValue {
    width: 55px;
}
.userTagSrc {
    width: 80px;
    display: flex;
    flex-direction: column;
    line-height: 1.2em;
    transition: all 0.5s ease-in-out;
}
.usrTagHdrCell.userTagSrc {
    line-height: 1em;
}
.userTagSrc .gameLinkID {
    font-size: 9px;
    color: var(--darksamegrey);
}
.userTag:hover .userTagSrc {
    width: 90px;
    font-size: 12px !important;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagSrc .gameLinkID {
    font-size: 10px;
}
.userTagRank {
    width: 45px;
    transition: all 0.5s ease-in-out;
}
.tagRanknull span {
    opacity: 0.4;
}
.userTagPriv {
    width: 55px;
    border: none;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagPriv {
    width: 65px;
}
.userTagDate {
    width: 55px;
    flex-direction: column;
    transition: all 0.5s ease-in-out;
}
.usrTagCell.userTagDate span {
    font-size: 9px;
    transition: all 0.5s ease-in-out;
}
.userTag:hover .userTagDate {
    font-size: 13px;
    line-height: 1.2em;
    width: 75px;
}
.userTag:hover .userTagDate span {
    font-size: 11px;
}
.soonSort {
    opacity: 0.4;
}

.privPopHldr {
    will-change: height;
}

.rangeFadeIn {
    opacity: 0;
    will-change: opacity;
}

.totalUserTags,
.totalUserEarnings {
    text-shadow: var(--textshadowlyt);
    transition: text-shadow 0.5s;
}

.dataBankDashboard .fbViewOptions {
    border-bottom: var(--borderbottomcolor);
    box-shadow: var(--borderboxshadow);
}


.fbDataViewContainer button.hoverPoint:hover {
    background-color: #FF6600 !important;
    color: #FFFFFF !important;
}
.fbDataViewContainer .fbAdsAppsCard button.hoverPoint:hover {
    background-color: #BF0000 !important;
    color: #FFFFFF !important;
}
.fbDataViewContainer .fbActivityCard button.hoverPoint:hover {
    background-color: #2851A3 !important;
    color: #FFFFFF !important;
}
.fbDataViewContainer .fbConnectionsCard button.hoverPoint:hover {
    background-color: #008800 !important;
    color: #FFFFFF !important;
}
.fbDataViewContainer button.hoverPoint:hover svg {
    color: #FFFFFF !important;
}



.postTypesGraph .donutgraph {
    display: flex;
    align-items: center;
    margin: 10px 0;
    width: 540px;
    height: 300px;
    position: relative;
}
.postTypesGraph.activityDoughnut .donutgraph {
    width: 550px;
    height: 250px;
}

.postTypesGraph .donutchart {
    width: 290px;
    height: 290px;
    display: flex;
    align-items: center;
    padding: 5px;
    border-radius: 50%;
    margin: 0;
    background-color: var(--background-color);
    position: relative;
    transition: all 0.3s;
    z-index: 25;
}
.postTypesGraph.activityDoughnut .donutchart {
    width: 240px;
    height: 240px;
}

.postTypesGraph .voteavg {
    font-size: 3em;
    color: var(--text-color);
    font-weight: 700;
    line-height: 1em;
    padding: 10px 0 0 0;
    letter-spacing: -1px;
    text-shadow: var(--textshadowlyt);
    transition: text-shadow 0.5s, color 0.5s;
}
.postTypesGraph.activityDoughnut .voteavg {
    font-size: 2.3em;
}

.postTypesGraph .donutlegend {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 150px;
    width: calc(100% - 160px);
    height: 300px;
    padding: 0 10px 0 0;
    margin: 0;
    border-radius: 0 10px 10px 0;
    box-shadow: var(--shadinsetsm);
    transition: box-shadow 0.5s;
    z-index: 20;
}
.postTypesGraph.activityDoughnut .donutlegend {
    left: 125px;
    width: calc(100% - 135px);
    height: 250px;
    justify-content: space-between;
}
.fbTargeting .postTypesGraph.activityDoughnut .donutlegend {
    justify-content: flex-start;
}
.postTypesGraph .legendrow {
    display: flex;
    align-items: center;
    width: 100%;
    padding: 2px 0;
}
.postTypesGraph.activityDoughnut .legendrow {
    padding: 5px 0;
}
.postTypesGraph .votelabelarm {
    width: 165px;
    height: 20px;
}
.postTypesGraph.activityDoughnut .votelabelarm {
    width: 160px;
    height: 30px;
}
.fbTargeting .postTypesGraph.activityDoughnut .votelabelarm {
    width: 145px;
}
.postTypesGraph .votelabel {
    font-weight: 600;
    width: 95px;
    font-size: 11px;
    height: 20px;
}
.postTypesGraph.activityDoughnut .votelabel {
    border-radius: 0 6px 6px 0;
    width: 100px;
    font-size: 14px;
    height: 30px;
}
.fbPostsContainer .postTypesGraph .votelabel {
    width: 103px;
    font-size: 9.5px;
    display: flex;
    align-items: center;
}
.fbPostsContainer .postTypesGraph .votelabel svg {
    max-width: 15px !important;
    max-height: 15px !important;
    margin: 0 0 1px 4px !important;
}
.fbTargeting .postTypesGraph.activityDoughnut .votelabel {
    width: 145px;
    letter-spacing: -0.3px;
}
.postTypesGraph .votenumber {
    font-weight: 500;
    width: 55px;
    font-size: 14px;
}
.postTypesGraph.activityDoughnut .votenumber {
    font-weight: 800;
    width: 85px;
    font-size: 20px;
}
.fbTargeting .postTypesGraph.activityDoughnut .votenumber {
    width: 65px;
}
.postTypesGraph .voteperc {
    font-size: 0.8em;
    font-weight: 300;
    width: 45px;
}


.fbPostIndex {    
    top: 0;
    left: -5px;
    border-radius: 50%;
    background-color: #FFFFFF11;
    box-shadow: var(--shadinsetsm);
    width: 30px;
    height: 30px;
    text-align: center;
}
.fbPostMetaTitle {
    margin: -15px 0 0;
}
.fbMediaSingleItem .fbMediaItem {
    XXmargin: 0 auto 20px;
}
.fbMediaSingleItem .fbMediaItem .mediaContainer img {
    max-width: 700px;
    max-height: 500px;
    object-fit: cover;
    border-radius: 5px;
} 

.fbMediaItems.fbMultiMedia {
    column-count: 3;
    column-gap: 20px;
    margin: 0 0 20px;
}
.fbMediaItems.fbMultiMedia .fbMediaItem {
    break-inside: avoid;
    margin: 0 0 20px;
}
.fbMediaItems.fbMultiMedia .mediaContainer img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 5px;
}

.mediaContainer img:hover {
    transform: scale(1.015);
    transition: transform 0.3s ease-in-out;
}
@media (max-width: 1024px) {
    .fbMediaItems.fbMultiMedia {
        column-count: 2;
    }
}
@media (max-width: 600px) {
    .fbMediaItems.fbMultiMedia {
        column-count: 1;
    }
}

.blobVideo {
    max-width: 100%;
    max-height: 600px;
    height: auto;
    border-radius: 6px;
}


.fbActivityHdrLft {
    width: calc(100% - 650px);
    margin: 0 0 45px;
    min-width: 535px;
}
.fbActivityHdrRyt {
    width: 545px;
}
.fbPostTimeChart {
    overflow: hidden;
    margin-top: -15px;
}


.planBox {    
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-weight: 800;
    line-height: 1;
    color: var(--text-color);
    margin: 0 0 0 10px;
    background-color: #FF660015;
    border-radius: 6px;
    border: 1px solid #FF660033;
    height: 50px;
    padding: 0 0 0 12px;
}
.planPlan {
    font-size: 12px;
    font-weight: 400;
    display: none;
}
.planBoxIcon {
    font-size: 32px;
    color: #FFF;
    margin: 0 12px;
    color: var(--text-color);
}

.aiQuestionList {
    list-style: none;
    counter-reset: item;
    box-shadow: var(--shadup);
    padding: 30px 30px 10px;
    border-radius: 8px;
}
.aiQuestionList li.aiqli {
    position: relative;
    padding: 20px 5px 20px 55px;
    background: #FFFFFF20;
    margin: 0 0 20px;
    counter-increment: item;
    line-height: 1.4em;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.aiQuestionList li.aiqli::before {
    content: counter(item) "";
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    text-align: center;
    font-size: 0.9em;
    color: #FFFFFF;
    background: #FF6600;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}
.askButn {
    padding: 5px 10px;
    margin: 0 15px 0 20px;
    background-color: #FF660020;
    color: #FFFFFF;
    border-radius: 3px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    border: none;
    box-shadow: var(--shaduptiny);
    transition: box-shadow 0.3s, background-color 0.3s;
}
.askButn:hover {
    background-color: #FF6600;
    color: #FFFFFF;
    box-shadow: var(--shadupsm);
    cursor: pointer;
}
.butnRaq {
    color: #FF6600;
    font-size: 1.6em;
    padding: 0 0 1px 8px;
    display: inline-block;
}
button:hover .butnRaq {
    color: #FFFFFF;
}




@media (max-width: 1537px) {
    .fbActivityHdr {
        flex-direction: column-reverse;
    }
    .fbActivityHdrLft {
        width: -webkit-fill-available;
        margin: 25px 0 0;
    }
    .fbActivityHdrRyt {
        width: 100%;
    }
    .fbPostTimeChart {
        margin-top: 30px;
    }
    .mainPricingHldr {
        flex-wrap: wrap;
    }
    .mainPricingHldr .pricingCont {
        width: 45% !important;
        min-width: 45% !important;
    }


}




@media (max-width: 821px) {

    .datgam_widebox.usersTags {
        width: calc(100% - 35px);
        padding: 0;
        margin: 10px 15px 10px 20px;
        box-shadow: none !important;
    }
    
    .usersTags .dashleftcol {
        display: none !important;
        width: 0;
        margin: 0;
    }
    .usersTags .dashrytcol {
        width: 100%;
        margin: 0 auto;
    }
    .usersTags .backarrow {
        margin: 0;
        position: absolute;
        top: 0px;
        left: 0px;
    }
    .usersTags .dashdr {
        width: calc(100% - 30px);
        padding: 0 0 10px;
        margin: 0 auto 20px;
        display: block;
        text-align: center;
    }
    .usersTags .dashdr {
        width: 100%;
    }
    .usersTags .titlesep {
        display: none !important;
    }
    .usersTags .maintitle {
        height: 30px;
        font-size: 22px;
        display: inline-flex;
        line-height: 1;
        align-items: center;
    }
    .usersTags .dashdr .titlesub.lgtxt17 {
        font-size: 26px !important;
    }

    .usersTags .donutgraph {
        margin: 0px auto 10px;
        width: calc(100% - 12px);
        height: 180px;
        box-shadow: var(--shadup);
        padding: 12px 0px 12px 12px;
        border-radius: 100px 6px 6px 10px;
        -webkit-border-radius: 100px 6px 6px 10px;
        -moz-border-radius: 100px 6px 6px 10px;
        transition: box-shadow 0.3s;
    }
    .usersTags .donutgraph.simple-chart-view .donutchart,
    .usersTags .donutchart,
    .usersTags .graphoverlay {
        width: 180px;
        height: 180px;
        margin: 0;
    }

    .usersTags .graphoverlay .smtxt08 {
        font-size: 9px !important;
    }
    .usersTags .donutlegend {
        left: 90px;
        width: calc(100% - 100px);
        height: 170px;
        margin: 0;
        top: 12px;
        padding: 5px 0;
    }
    .usersTags .legendrowlft .votelabelarm {
        width: 100px;
    }

    .usersTags .tagCellRow {
        justify-content: space-around;
        width: 100%;
    }
    .tagPaginLoader {
        padding: 15px;
    }

    .userTagsHdr {
        justify-content: space-between;
        padding: 0 !important;
        flex-wrap: wrap;
    }
    .usrTagHdrCell {
        padding: 0 !important;
        border-right: none !important;
        font-size: 8px !important;
        width: auto !important;
        max-width: 40px;
    }
    .userTagDate {
        display: flex;
        flex-direction: column !important;
    }
    .usersTags .reshdr1 {
        padding: 0 0 10px;
        margin: 0 0 15px;
    } 
    .usersTags .reshdr1lft {
        width: 100%;
    }
    .usersTags .tagNumbers {
        display: flex;
        gap: 0;
        margin: 0 0 15px !important;
        justify-content: space-between;
        font-size: 12px !important;
    }
    .usersTags .totPotEarns {
        font-size: 12px !important;
    }
    .usersTags .gameinfobtm {
        -webkit-align-self: flex-end;
        align-self: flex-end;
        max-width: 136px;
    }
    .usersTags .tagsvalue {
        margin: -75px 0 0;
        width: 100%;
    }
    .usersTags .loadedMsg {
        width: 100%;
        font-size: 12px;
    }
    .usersTags .loadButns {
        width: 100%;
        display: flex;
        justify-content: space-between;
        gap: 0;
        margin: 20px 0 0;
    }


    .usersTags .userTag {
        flex-wrap: wrap;
        padding: 4px 5px;
        justify-content: space-around;
        max-width: calc(100% - 10px);
        overflow: hidden;
    }
    .usersTags .userTag:hover {
        box-shadow: var(--shadup);
        width: calc(100% - 10px);
        max-width: calc(100% - 10px);
        margin-left: 0;
        height: 80px;
    }
    .userTag:hover .usrTagCell {
        font-size: 11px;
        font-weight: 500;
    }


    .userTagTag .namebox {
        font-size: 11px;
    }
    .userTag:hover .userTagTag .namebox {
        font-size: 16px;
        padding: 2px 8px;
    }
    .usersTags .usrTagCell.tagIndex {
        left: -22px;
        top: 25px;
        margin: 0 0 0 5px;
        border: none;
        height: 16px;
        width: 18px !important;
        padding: 2px 0 0;
        background-color: var(--background-color);
        box-shadow: var(--shadinsetsm), var(--shadupsm);
        border-radius: 50%;
        display: none;
        align-items: center;
        justify-content: center;
        font-size: 8px !important;
        line-height: 8px;
        transition: background-color 0.5s, box-shadow 0.5s, color 0.5s;
    }
    .usersTags .usrTagCell {
        height: 30px;
        padding: 0;
        border-right: none;
        font-size: 8px;
        font-weight: 400;
        width: auto !important;
    }
    .usersTags .userTagTag {
        width: 100% !important;
        max-width: 100% !important;
        border: none;
        padding: 0 !important;
    }
    .usersTags .usrTagCell.userTagValue {
        font-size: 12px !important;
    }


    .mainPricingHldr .pricingCont {
        width: 100% !important;
        min-width: 100% !important;
    }
    .mainPricingHldr .pricingCont h3.lgtxt20 {
        font-size: 1.7em !important;
    }
    .aiQuestionList {
        padding: 20px 20px 10px;
        border-radius: 6px;
    }
    
}